import Vue from 'vue'
import DkTableMax from './dk-table-max.vue'

const messageBox = Vue.extend(DkTableMax)

DkTableMax.install = function (options) {
  // if (typeof options === 'object') {
  //   options = {
  //     location: options
  //   }
  // }
  let instance = new messageBox({
    data: Object.assign(options)
  }).$mount()
  document.body.appendChild(instance.$el)

  Vue.nextTick(() => {
    instance.visible = true
  })
}
export default DkTableMax
